# $Revision: 1.15 $, $Date: 2012/01/13 12:39:48 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	SimpleLinkExtor
Summary:	HTML::SimpleLinkExtor - extract links from HTML
Summary(pl.UTF-8):	HTML::SimpleLinkExtor - wyodrębnianie odnośników z HTML-a
Name:		perl-HTML-SimpleLinkExtor
Version:	1.25
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8fac1b4cb8996d23ae5d385c12ac4071
URL:		http://search.cpan.org/dist/HTML-SimpleLinkExtor/
BuildRequires:	perl-devel >= 1:5.6
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(HTML::LinkExtor) >= 1.28
BuildRequires:	perl-URI >= 1.09
BuildRequires:	perl-Test-Output
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a simple HTML link extractor designed for the person who does not
want to deal with the intricacies of HTML::Parser or the de-referencing
needed to get links out of HTML::LinkExtor.

%description -l pl.UTF-8
To jest prosty moduł do wyodrębniania odnośników z HTML-a stworzony dla
osób, które nie chcą się wdawać w skomplikowanie modułu HTML::Parser ani
dereferencje potrzebne do uzyskania odnośników z modułu HTML::LinkExtor.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/HTML/*.pm
%{perl_vendorlib}/auto/HTML/SimpleLinkExtor
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-SimpleLinkExtor.spec,v $
Revision 1.15  2012/01/13 12:39:48  zbyniu
- up to 1.25

Revision 1.14  2009/09/14 13:51:31  amateja
- updated to 1.23

Revision 1.13  2007/12/24 00:44:29  zbyniu
- up to 1.19

Revision 1.12  2007-10-27 14:21:40  radek
- version 1.17

Revision 1.11  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.9  2006/05/29 07:04:30  blaass
- version updated to 1.13

Revision 1.8  2005/05/31 15:41:11  petec
- up to 1.09

Revision 1.7  2004/11/03 22:30:25  paladine
- formatting

Revision 1.6  2004/11/03 13:05:25  paladine
- spaces->tabs

Revision 1.5  2004/09/18 11:13:07  radek
- version 1.08

Revision 1.4  2004/08/08 18:31:27  adamg
- proper License
- URL added

Revision 1.3  2004/08/08 18:28:40  adamg
- updated to 1.06

Revision 1.2  2004/05/30 12:26:50  qboosh
- pl

Revision 1.1  2004/05/29 18:25:05  radek
- new
